{
  "type" : "record",
  "name" : "RareDiseaseInterpretationStatus",
  "namespace" : "org.gel.models.metrics.avro",
  "fields" : [ {
    "name" : "groupId",
    "type" : "string"
  }, {
    "name" : "piepelineId",
    "type" : "string"
  }, {
    "name" : "pipelineMainFolder",
    "type" : "string"
  }, {
    "name" : "cohortName",
    "type" : "string"
  }, {
    "name" : "startDate",
    "type" : "string"
  }, {
    "name" : "lastStepDate",
    "type" : [ "null", "string" ]
  }, {
    "name" : "pipelineParameters",
    "type" : {
      "type" : "map",
      "values" : "string"
    }
  }, {
    "name" : "tieringConfigurationFile",
    "type" : "string"
  }, {
    "name" : "softwareVersions",
    "type" : [ "null", {
      "type" : "map",
      "values" : "string"
    } ]
  }, {
    "name" : "dataBaseVersions",
    "type" : [ "null", {
      "type" : "map",
      "values" : "string"
    } ]
  }, {
    "name" : "listOfSamples",
    "type" : [ "null", {
      "type" : "array",
      "items" : "string"
    } ]
  }, {
    "name" : "readyToDispatch",
    "type" : "boolean"
  }, {
    "name" : "steps",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "Step",
        "fields" : [ {
          "name" : "stepName",
          "type" : "string"
        }, {
          "name" : "date",
          "type" : "string"
        }, {
          "name" : "status",
          "type" : {
            "type" : "enum",
            "name" : "StepStatus",
            "symbols" : [ "failed", "ready" ]
          }
        } ]
      }
    } ]
  }, {
    "name" : "listOfFilesToDispatch",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "File",
        "doc" : "This defines a file\nThis Record is defined by the sampleID and a URI\nCurrently SampleID can be a single String or an array of strings if multiple samples are associated with the same file\n*",
        "fields" : [ {
          "name" : "SampleId",
          "type" : [ "null", "string", {
            "type" : "array",
            "items" : "string"
          } ],
          "doc" : "Unique ID(s) of the Sample, for example in a multisample vcf this would have an array of all the sample ids"
        }, {
          "name" : "URIFile",
          "type" : "string",
          "doc" : "URI PATH"
        }, {
          "name" : "fileType",
          "type" : {
            "type" : "enum",
            "name" : "FileType",
            "symbols" : [ "BAM", "gVCF", "VCF_small", "VCF_somatic_small", "VCF_CNV", "VCF_somatic_CNV", "VCF_SV", "VCF_somatic_SV", "VCF_SV_CNV", "SVG", "ANN", "BigWig", "MD5Sum", "ROH", "OTHER" ]
          }
        }, {
          "name" : "md5Sum",
          "type" : [ "null", "string" ]
        } ]
      }
    } ]
  } ]
}
